Batch Profile by ID

The Batch Profile by ID service allows you to pass in a batch ID and have the details of that batch returned to you.

Service Name

batch_profile_from_id

Required Parameters

NameType
idinteger

Optional Parameters

None

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=batch_profile_from_id&id=13"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
  <parameters>
    <argument value="batch_profile_from_id" name="srv"/>
    <argument value="13" name="id"/>
  </parameters>
  </request>
  <response>
  <batches count="1">
    <batch id="13">
    <campus id="6">ProfitStars</campus>
    <post_date>2012-10-31</post_date>
    <begin_date>2012-10-31</begin_date>
    <end_date>0000-00-00</end_date>
    <in_accounting_package>false</in_accounting_package>
    <status>Closed</status>
    <source>Online</source>
    <transactions>
      <transaction id="21" merchant_transaction_id="">
        <campus id="6">ProfitStars</campus>
        <individual id="7">Bob Tomato</individual>
        <date>2012-10-31</date>
        <grouping id="1">None</grouping>
        <payment_type>Check</payment_type>
        <check_number>004440</check_number>
        <transaction_details>
           <transaction_detail id="22">
            <coa id="5">Online Giving</coa>
            <amount>960</amount>
            <tax_deductible>true</tax_deductible>
            <note></note>
            <creator id="1">Larry Cucumber</creator>
            <modifier id="1">Larry Cucumber</modifier>
            <created>2012-10-31 07:57:40</created>
            <modified>2012-10-31 07:57:40</modified>
           </transaction_detail>
        </transaction_details>
        <creator id="1">Larry Cucumber</creator>
        <modifier id="1">Larry Cucumber</modifier>
        <created>2012-10-31 07:57:40</created>
        <modified>2012-10-31 07:57:40</modified>
        <merchant_name></merchant_name>
        <merchant_individual_id></merchant_individual_id>
      </transaction>
      …
      <transaction id="22" merchant_transaction_id="">
        <campus id="6">ProfitStars</campus>
        <individual id="2">Mr. Lunt</individual>
        <date>2012-10-31</date>
        <grouping id="1">None</grouping>
        <payment_type>Check</payment_type>
        <check_number>000626</check_number>
        <transaction_details>
           <transaction_detail id="23">
            <coa id="5">Online Giving</coa>
            <amount>4797</amount>
            <tax_deductible>true</tax_deductible>
            <note></note>
            <creator id="1">Larry Cucumber</creator>
            <modifier id="1">Larry Cucumber</modifier>
            <created>2012-10-31 07:57:40</created>
            <modified>2012-10-31 07:57:40</modified>
           </transaction_detail>
        </transaction_details>
        <creator id="1">Larry Cucumber</creator>
        <modifier id="1">Larry Cucumber</modifier>
        <created>2012-10-31 07:57:40</created>
        <modified>2012-10-31 07:57:40</modified>
        <merchant_name></merchant_name>
        <merchant_individual_id></merchant_individual_id>
      </transaction>
    </transactions>
    <creator id="1">Larry Cucumber</creator>
    <modifier id="1">Larry Cucumber</modifier>
    <created>2012-10-31 07:57:40</created>
    <modified>2012-10-31 07:57:40</modified>
    </batch>
  </batches>
  </response>
</ccb_api>